package com.persagy.apm.energy.report.config.itemgroup.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 分项分组(ItemGroup)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:17:47
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "分项分组")
public class ItemGroup extends AuditableEntity<ItemGroup> implements Serializable {
    private static final long serialVersionUID = -43918210159682367L;

    @ApiModelProperty("分项分组名称")
    private String name;

    @ApiModelProperty("包含的分项编码")
    private String items;


    public static String PROP_NAME = "name";
    public static String PROP_ITEMS = "items";

}
