package com.persagy.apm.energy.report.config.itemgroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:17:48
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询分项分组入参")
public class PageQueryItemGroupDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "分项分组名称", required = true)
    private String name;

    @ApiModelProperty(value = "包含的分项编码", required = true)
    private String items;

}
