package com.persagy.apm.energy.report.config.rel.detailmodel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:19:10
 */
@Data
@ApiModel(value = "创建报告模型关联关系入参")
public class AddReportDetailModelRelDTO {
    @ApiModelProperty(value = "报告详情主键", required = true)
    @NotNull(message = "报告详情主键不能为空")
    private String reportDetailId;

    @ApiModelProperty(value = "模型编码", required = true)
    @NotNull(message = "模型编码不能为空")
    private String modelCode;

    @ApiModelProperty(value = "报告类型id", required = true)
    @NotNull(message = "报告类型id不能为空")
    private String reportTypeId;

    @ApiModelProperty(value = "不合格原因")
    private String unqualifiedReason;

    @ApiModelProperty(value = "备注")
    private String remark;

}
