package com.persagy.apm.energy.report.config.rel.detailmodel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:19:11
 */
@Data
@ApiModel(value = "查询报告模型关联关系入参")
public class QueryReportDetailModelRelDTO {
    @ApiModelProperty(value = "报告详情主键", required = true)
    private String reportDetailId;

    @ApiModelProperty(value = "模型编码", required = true)
    private String modelCode;

    @ApiModelProperty(value = "报告类型id", required = true)
    private String reportTypeId;

    @ApiModelProperty(value = "不合格原因", required = true)
    private String unqualifiedReason;

    @ApiModelProperty(value = "备注", required = true)
    private String remark;

}
