package com.persagy.apm.energy.report.config.rel.modelitem.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:16:57
 */
@Data
@ApiModel(value = "更新能耗模型与分项关联关系入参")
public class UpdateModelItemRelDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "能耗模型编码", required = true)
    @NotNull(message = "能耗模型编码不能为空") // todo 更新校验规则
    private String modelCode;

    @ApiModelProperty(value = "分项分组id", required = true)
    @NotNull(message = "分项分组id不能为空") // todo 更新校验规则
    private String itemGroupId;

    @ApiModelProperty(value = "分项编码", required = true)
    @NotNull(message = "分项编码不能为空") // todo 更新校验规则
    private String itemCode;

}
