package com.persagy.apm.energy.report.config.rel.typemodel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:19:58
 */
@Data
@ApiModel(value = "查询报告类型和模型关联关系入参")
public class QueryReportTypeModelRelDTO {
    @ApiModelProperty(value = "报告类型id", required = true)
    private String reportTypeId;

    @ApiModelProperty(value = "模型编码", required = true)
    private String modelCode;

    @ApiModelProperty(value = "模型来源", required = true)
    private String modelSource;

    @ApiModelProperty(value = "关联类型, 1: 费用，2：用电量", required = true)
    private String relType;

    @ApiModelProperty(value = "模型合格的标准", required = true)
    private String modelStandardValue;

    @ApiModelProperty(value = "模型合格的判断公式", required = true)
    private String modelQualifyFormula;

}
