package com.persagy.apm.energy.report.config.rel.typeprojecttype.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 报告类型和项目所属功能类型关联关系(ReportTypeProjectTypeRel)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:20:23
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告类型和项目所属功能类型关联关系")
public class ReportTypeProjectTypeRel extends AuditableEntity<ReportTypeProjectTypeRel> implements Serializable {
    private static final long serialVersionUID = -98816657597977651L;

    @ApiModelProperty("报告类型id")
    private String configId;

    @ApiModelProperty("项目所属功能类型")
    private String functionType;


    public static String PROP_CONFIG_ID = "config_id";
    public static String PROP_FUNCTION_TYPE = "function_type";

}
