package com.persagy.apm.energy.report.config.rel.typeprojecttype.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:20:24
 */
@Data
@ApiModel(value = "报告类型和项目所属功能类型关联关系列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportTypeProjectTypeRelListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告类型id")
    private String configId;

    @ApiModelProperty("项目所属功能类型")
    private String functionType;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
