package com.persagy.apm.energy.report.config.type.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-19 10:39:18
 */
@Data
@ApiModel(value = "报告类型列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportTypeListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告类型名称")
    private String name;

    @ApiModelProperty("业态 enum 0-商业；1-酒店")
    private String businessType;

    @ApiModelProperty("报告所属类型 enum 0-项目；1-大区")
    private String belongType;
}
