package com.persagy.apm.energy.report.config.itemgroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:17:48
 */
@Data
@ApiModel(value = "更新分项分组入参")
public class UpdateItemGroupDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "分项分组名称", required = true)
    @NotNull(message = "分项分组名称不能为空") // todo 更新校验规则
    private String name;

    @ApiModelProperty(value = "包含的分项编码", required = true)
    @NotNull(message = "包含的分项编码不能为空") // todo 更新校验规则
    private String items;

}
