package com.persagy.apm.energy.report.config.itemgroup.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:17:49
 */
@Data
@ApiModel(value = "分项分组列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseItemGroupListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("分项分组名称")
    private String name;

    @ApiModelProperty("包含的分项编码")
    private String items;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
