package com.persagy.apm.energy.report.config.rel.detailmodel.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:19:11
 */
@Data
@ApiModel(value = "报告模型关联关系返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportDetailModelRelItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告详情主键")
    private String reportDetailId;

    @ApiModelProperty("模型编码")
    private String modelCode;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("不合格原因")
    private String unqualifiedReason;

    @ApiModelProperty("备注")
    private String remark;
}
