package com.persagy.apm.energy.report.config.rel.modelitem.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:17:00
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询能耗模型与分项关联关系入参")
public class PageQueryModelItemRelDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "能耗模型编码", required = true)
    private String modelCode;

    @ApiModelProperty(value = "分项分组id", required = true)
    private String itemGroupId;

    @ApiModelProperty(value = "分项编码", required = true)
    private String itemCode;

}
