package com.persagy.apm.energy.report.config.rel.modelitem.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:16:59
 */
@Data
@ApiModel(value = "查询能耗模型与分项关联关系入参")
public class QueryModelItemRelDTO {
    @ApiModelProperty(value = "能耗模型编码", required = true)
    private String modelCode;

    @ApiModelProperty(value = "分项分组id", required = true)
    private String itemGroupId;

    @ApiModelProperty(value = "分项编码", required = true)
    private String itemCode;

}
