package com.persagy.apm.energy.report.config.rel.typemodel.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:19:58
 */
@Data
@ApiModel(value = "报告类型和模型关联关系返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportTypeModelRelItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("模型编码")
    private String modelCode;

    @ApiModelProperty("模型来源")
    private String modelSource;

    @ApiModelProperty("关联类型, 1: 费用，2：用电量")
    private String relType;

    @ApiModelProperty("模型合格的标准")
    private String modelStandardValue;

    @ApiModelProperty("模型合格的判断公式")
    private String modelQualifyFormula;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
