package com.persagy.apm.energy.report.config.rel.typeprojecttype.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-19 11:20:24
 */
@Data
@ApiModel(value = "更新报告类型和项目所属功能类型关联关系入参")
public class UpdateReportTypeProjectTypeRelDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "报告类型id", required = true)
    @NotNull(message = "报告类型id不能为空") // todo 更新校验规则
    private String configId;

    @ApiModelProperty(value = "项目所属功能类型", required = true)
    @NotNull(message = "项目所属功能类型不能为空") // todo 更新校验规则
    private String functionType;

}
