package com.persagy.apm.energy.report.config.type.constant.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 业态
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:51 上午
 */
@SwaggerDisplayEnum
public enum BusinessTypeEnum {
    /**
     * 业态
     */
    BUSINESS("1", "商业"),
    HOTEL("2", "酒店");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    BusinessTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
