package com.persagy.apm.energy.report.saasweb.service;

import com.persagy.apm.energy.report.saasweb.model.vo.ReportAreaVO;
import com.persagy.apm.energy.report.saasweb.model.vo.ReportProjectVO;
import io.swagger.annotations.Api;

/**
 * @author lixing
 * @version V1.0 2021/5/19 3:59 下午
 **/
@Api(value = "运维平台service接口")
public interface ISaasWebService {
    /**
     * 获取项目信息
     *
     * @param projectId 项目id
     * @return 项目信息
     * @author lixing
     * @version V1.0 2021/5/19 4:04 下午
     */
    ReportProjectVO getReportProjectInfo(String projectId);

    /**
     * 获取区域信息
     *
     * @param areaId 区域id
     * @return 区域信息
     * @author lixing
     * @version V1.0 2021/5/19 4:04 下午
     */
    ReportAreaVO getReportAreaInfo(String areaId);

}
